$(document).on(
	"focusin",
	"input",
	function() {

		var el = $(this);
			par = el.closest(".form-line");

		//if has the error class remove it 
		if (par.hasClass("error")) {
			par.addClass("remove");
			setTimeout(function() {
				par.removeClass("error remove").addClass("reset");
				
				setTimeout(function(){
					par.removeClass("reset").addClass("focus");
				} , 5);

			}, 500);
		} else {
			par.addClass("focus");
		}
			
	}
);


$(document).on(
	"focusout",
	"input",
	function() {

		var el = $(this),
			par = el.closest(".form-line");
			par.addClass("remove");

		if (el.val() != "") {
			par.addClass("filled");
		} else {
			par.removeClass("filled");
		}

		setTimeout(function() {
			par.removeClass("remove focus");
		},500);
	}
);


$(document).ready(function() {

	if ($("body").hasClass("login")){
		$("input[name='username']").focus();
	}

	$(".recover-pass-button").click(function(){
		$("#login-form-data").slideUp("normal" , function() {
			$("#recover-password-data").slideDown("normal" , function() {
				$("#rusername").focus();
			});
		});
	});

	$(".login-back-button").click(function(){
		$("#recover-password-data").slideUp("normal" , function() {
			$("#login-form-data").slideDown("normal" ,  function() {
				$("#username").focus();
			});
		});
	});	
});